Weight Struct Reference

Weight includes various penalties(e.g. More...

`#include <GreedyTupleAligner.h>`

## Public Attributes

int | gapOpen
int | gapExtend
int | mismatch
int | match

## Detailed Description

Weight includes various penalties(e.g.

gap open) used in local alignment

Definition at line 40 of file GreedyTupleAligner.h.

## Constructor & Destructor Documentation

## Weight()

Weight::Weight | ( |  | ) |

inline

Definition at line 43 of file GreedyTupleAligner.h.

{
gapOpen = gapExtend = -1; // here we do not use affine gap penalty for simlicity.
mismatch = -1;
match= 2;
};

## Member Data Documentation

## gapExtend

int Weight::gapExtend

Definition at line 50 of file GreedyTupleAligner.h.

## gapOpen

int Weight::gapOpen

Definition at line 49 of file GreedyTupleAligner.h.

## match

int Weight::match

Definition at line 52 of file GreedyTupleAligner.h.

## mismatch

int Weight::mismatch

Definition at line 51 of file GreedyTupleAligner.h.

The documentation for this struct was generated from the following file:

- general/GreedyTupleAligner.h